<?php
	// confirmar sesion
	session_start();

	if (!isset($_SESSION['loggedin'])) {
	    header('Location: index.php');    
	    exit;
	}
	include_once('conexion.php');
	if(!empty($_GET['eliminar'])){
		$id=$_GET['eliminar'];
		//echo "Si entro al get para borrar al id= " . $id;	    
	    if ($id <> $_SESSION["id"]){
	    	//$borr=mysql_query("DELETE FROM accounts WHERE id=$id");
			$sql="DELETE FROM usuario WHERE idusu=$id";
			mysqli_query($conexion, $sql);
			header('location:usuario.php');
		}else{
			echo "No se puede eliminar al usuario actual";
		}
	} 
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" charset="UTF-8">
		<title>Usuarios</title>
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
<body class="loggedin">
	<nav class="navtop">	
		<h1 style="color:white;"><?php echo $_SESSION["name"] ?></h1>		
		<table width="35%" border="0" style="width: 200px;">
			<tr>
				<td><a href="regusu.php" style="color:white;">Nuevo Usuario</a></td>
				<td><a target="_top" href="inicio.php" style="color:white;"><i class="fas fa-user-circle"></i>Cerrar</a></td>
			</tr>			
		</table>
	 </nav>
	 <br><br>
	<div id="usureg">
	<center>
	<h1>Usuarios Registrados</h1>
	<?php
		$sql="SELECT * FROM usuario WHERE 1=1 order by idusu";
		$resultado = mysqli_query($conexion, $sql);
		//$fila = mysqli_fetch_assoc($resultado);
		echo "<table border=2 aling='center'>
				<tr>
					<th>Id</th>
					<th>Nombre</th>					
					<th>Usuario</th>
					<th>Editar</th>
					<th>Eliminar</th>
					<th>Disponibles</th>
				</tr>";
				while ($fila = mysqli_fetch_assoc($resultado)) {
					echo "<tr>
							<td width='10%'>" . $fila['idusu'] . "</td>
							<td>" . $fila['nomusu'] . " ". $fila['apellidosusu'] . "</td>
							<td>" . $fila['usu'] . "</td>
							<td><center>						  
								<a href='editarusu.php?editar=" .$fila['idusu']."' title='Editar registro'>
									Editar
								</a>
								</center>
							</td>
							<td>
								<center>
                                <a href='usuario.php?eliminar=" . $fila['idusu'] . "' 
                                   	title='Eliminar Usuario' 
                                   onclick=\"return confirm('¿Estás seguro de que deseas eliminar este usuario?');\">
                                    Eliminar
                                </a>
                                </center>
							</td>
							<td>" . number_format($fila['kildsp'], 2) . " kg</td>
						</tr>";  
				}
		echo "</table>";		
		mysqli_free_result($resultado);
	?>
	</center>
</body>
</html>
